body {
    min-height: 100vh;
    display: grid;
    grid-template-rows: auto 1fr auto;
}
body>header {
    padding: 0;
}
body>main {
    padding: 0 .5rem;
}
body>footer {
    border-top: 1px solid var(--pico-muted-border-color);
    padding: calc(var(--pico-block-spacing-vertical)) 3rem;
    margin-top: 2rem;
    text-align: center;
}
footer p {
    margin: 0;
}
footer a {
    display: inline-block;
}
body header {
    text-align: center;
}
body header > * {
    margin: 5px 0;
}
main {
    text-align: center;
    display: grid;
    grid-template-columns: repeat(2,minmax(0,1fr));
    margin-top: 1rem;
}
main section {
    grid-column: 1/-1;
}
main .content {
    margin: 2.5rem 0 2.5rem 3rem;
    font-size: 1.1em;
}
@media (max-width:900px) {
    main {
        grid-template-columns: 1fr;
        gap: .5rem;
    }
    main .content {
        text-align: center;
        margin: 1rem auto;
    }
}
p.m {
    margin: var(--pico-typography-spacing-vertical) auto 0;
}
code + p {
    margin-top: var(--pico-typography-spacing-vertical);
}
main .content p {
    max-width: 540px;
    margin-inline: auto;
}
.tooltip-container {
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(min(400px,100%),1fr));
    grid-auto-flow: dense;
    gap: 5px;
    margin: 1rem 3rem;
    counter-reset: num;
}
@media (max-width: 900px) {
    .tooltip-container {
        margin: 1rem;
    }
}
.tooltip-container article {
    display: grid;
    min-height: 300px;
    margin: 0;
    padding: 1.5rem;
    box-shadow: none;
    border: 1px solid var(--pico-muted-border-color);
    position: relative;
    overflow: hidden;
    background-color: #fff;
    counter-increment: num;
}
@media (prefers-color-scheme: dark) {
    .tooltip-container article {
        background-color: #eee;
    }
}
.tooltip-container article:before {
    content: "#" counter(num);
    position: absolute;
    top: -1px;
    left: -1px;
    color: var(--pico-primary);
    font-weight: bold;
    padding: 5px 10px;
    border-bottom-right-radius: inherit;
    border: inherit;
}
.tooltip-container article > * {
    grid-area: 1/1;
    place-self:center;
}
.tooltip-container article > div {
    color: #fff;
    font-size: 18px;
    font-weight: 500;
    max-width: 28ch;
    text-wrap: balance;
}
.tooltip-container article > input {
    align-self: start;
    max-width: 30ch;
    opacity: 0.2;
    margin-top: -.75em;
    transition: .5s;
}
.tooltip-container article:hover > input{
    opacity: 1;
}
.tooltip-container article .box {
    margin: 2rem;
    position: relative;
    background: #e1e1e1;
    place-self: initial;
}
@media only screen and (prefers-color-scheme: dark) {
    .tooltip-container article .box {
     background: #d0d0d0;
    }
}
.tooltip-container article button {
    opacity: 0;
    border-radius: 5px;
    box-shadow: 0 0.125rem 1rem rgb(27 40 50 / 4%), 0 0.125rem 2rem rgb(27 40 50 / 8%), 0 0 0 0.0625rem rgb(27 40 50 / 2%);
    z-index: 9;
    margin: 1em;
    border: none;
    font-size: 1rem;
    padding: 0.5rem;
    width: fit-content;
    cursor: pointer;
    transition: .3s;
}
.tooltip-container article button:before {
    content: "";
    position: absolute;
    inset: 20% 0 0;
}
.tooltip-container article button:hover {
    opacity: 1;
}
body:has(:target) article:not(:has(:target)),
body:has(:target) article:before {
    display: none;

}
body:has(:target) main .tooltip-container{
    margin-inline: max(calc(3*var(--pico-spacing)),50% - 540px/2);
}

article:nth-child(33),
article:nth-child(34),
article:nth-child(35),
article:nth-child(36),
article:nth-child(37),
article:nth-child(38),
article:nth-child(39),
article:nth-child(40) {
    background-image: repeating-linear-gradient(-45deg, #0000 0 20px, #f9f9f9 0 40px);
}
#carbon-cover {
    height: 100%;
    margin: auto;
    text-align: left;
    container-type: inline-size;
}
@container (max-width: 350px) {
    #carbon-cover .carbon-large-image {
        width: 20%!important;
    }    
    #carbon-cover a .carbon-description {
        opacity: 1!important;
    }
    #carbon-cover *:not(_#) {
        transition: none!important;
    }
}
#carbon-cover .carbon-reveal {
    animation: none!important;
    -webkit-mask: none!important;
            mask: none!important;
}
#carbon-cover>a:first-child {
    padding: 10px!important;
    flex: 1;
}
#carbon-cover .carbon-main {
    align-self: stretch;
}
#carbon-cover .carbon-large-image {
    max-width: 160px!important;
}
#carbon-cover .carbon-text {
    height: 85px!important;
    flex: 1;
}
#carbon-cover .carbon-tagline {
    max-inline-size: 24ch!important;
}
#carbonads {
    margin: 0 auto;!important;
    height: 100%;
}
#carbonads:has(#carbon-responsive) {
    display: grid;
    place-content: center;
}
#responsive_css-tooltip ._responsive_{
    max-width: 100%;
    text-align: left;
}
#responsive_css-tooltip ._responsive_ .native-banner {
    padding: 1.5em 1em;
    box-shadow: none;
    -webkit-box-shadow: none;
    border: 1px solid var(--pico-muted-border-color);
    border-radius:var(--pico-border-radius);
} 
#responsive_css-tooltip ._responsive_ :is(.native-cta,._responsive_ .native-desc) {
    font-size: 1.1em;
}
